function u0 = spike(x)
%% sharp peak around 0.1
% various forms
init = 'spike';
switch init
    case 'spike'
        % the triangular spike of height 1, base length 0.2, centered at 0.1
        % programmed so that it also works for vectors x
        up=find(x>0 & x<=0.1);
        down=find(x>0.1 & x<=0.2);
        
        u0=zeros(size(x));
        u0(up) = 10*x(up);
        u0(down) = 2 - 10*x(down);
    case 'bump'
        % a sine-square-shaped bump of height 1, base length 0.2, centered at 0.1
        xbase=find(x>0 & x<=0.2);
        u0=zeros(size(x));
        u0(xbase) = sin(x(xbase)*5*pi).^2;
    case 'smooth-bump'
        % a smooth bump, continuous second derivative
        xbase=find(x>0 & x<=0.2);
        u0=zeros(size(x));
        u0(xbase) = 8000*x(xbase).^3.*(1-5*x(xbase)).^3;
        
end

